document.addEventListener('DOMContentLoaded', () => {
  // Navigation toggle
  const navToggle = document.querySelector('.nav-toggle');
  const navLinks = document.querySelector('.nav-links');
  
  navToggle?.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Random inspirational quotes
  const quotes = [
    "Know thyself",
    "To thine own self be true",
    "Life is not about finding yourself, but creating yourself",
    "Be yourself; everyone else is already taken",
    "The only journey is the journey within"
  ];

  const quoteElement = document.getElementById('quote');
  const reflectBtn = document.querySelector('.reflect-btn');

  reflectBtn?.addEventListener('click', () => {
    const randomQuote = quotes[Math.floor(Math.random() * quotes.length)];
    quoteElement.style.opacity = 0;
    setTimeout(() => {
      quoteElement.textContent = randomQuote;
      quoteElement.style.opacity = 1;
    }, 300);
  });

  // Parallax effect
  window.addEventListener('scroll', () => {
    const parallax = document.querySelector('.parallax');
    const scrolled = window.pageYOffset;
    if (parallax) {
      parallax.style.backgroundPositionY = -(scrolled * 0.5) + 'px';
    }
  });

  // Intersection Observer for animations
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.classList.add('visible');
      }
    });
  }, { threshold: 0.1 });

  document.querySelectorAll('section').forEach(section => {
    observer.observe(section);
  });
});
